Bug 1805341 - CVE-2020-1733 ansible: insecure temporary directory when running become_user from become directive [fedora-all]
Summary: CVE-2020-1733 ansible: insecure temporary directory when running become_user ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ansible
Version: 31
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2020-1733
TreeView+ depends on / blocked
 
Reported: 2020-02-20 16:52 UTC by Borja Tarraso
Modified: 2020-04-27 04:47 UTC (History)
3 users (show)

Fixed In Version: ansible-2.9.7-1.fc32 ansible-2.9.7-1.fc30 ansible-2.9.7-1.fc31
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-27 02:44:04 UTC
Type: ---


Attachments (Terms of Use)

Description Borja Tarraso 2020-02-20 16:52:51 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Borja Tarraso 2020-02-20 16:52:55 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1801735,1805341

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2020-04-18 20:15:12 UTC
FEDORA-2020-3990f03ba3 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-3990f03ba3

Comment 3 Fedora Update System 2020-04-18 20:15:14 UTC
FEDORA-2020-1b6ce91e37 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-1b6ce91e37

Comment 4 Fedora Update System 2020-04-18 20:15:15 UTC
FEDORA-2020-f80154b5b4 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-f80154b5b4

Comment 5 Fedora Update System 2020-04-19 04:27:15 UTC
FEDORA-2020-3990f03ba3 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-3990f03ba3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-3990f03ba3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-04-19 21:48:51 UTC
FEDORA-2020-f80154b5b4 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-f80154b5b4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-f80154b5b4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-04-19 22:27:06 UTC
FEDORA-2020-1b6ce91e37 has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-1b6ce91e37`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-1b6ce91e37

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-04-27 02:44:04 UTC
FEDORA-2020-3990f03ba3 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-04-27 03:06:31 UTC
FEDORA-2020-1b6ce91e37 has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-04-27 04:47:24 UTC
FEDORA-2020-f80154b5b4 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.